ModelingView Class

class NXOpen.ModelingView

Bases: NXOpen.View

Represents a Modeling View

Modeling Views may only be created by Save As.

New in version NX4.0.0.

Properties

Property Description
AbsoluteOrigin Returns the view origin in absolute space.
ActiveDynamicSection Returns or sets the active dynamic section object in the modeling view.
DisclosurePurpose Returns or sets the Disclosure Purpose.
DisplaySectioningToggle Returns or sets the toggle between enabling or disabling the Dynamic Sectioning viewing
IsMirrored Returns a flag indicating whether the model view is mirrored
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
LockRotations Returns or sets the Lock Rotations toggle state of a view.
Matrix Returns the view matrix.
Name Returns the custom name of the object.
Origin Returns the view origin.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
RenderingStyle Returns or sets the rendering style of the view.
Scale Returns the view scale.
SyncViews Returns or sets the Synchronized Views toggle state of a view.
Tag Returns the Tag for this object.
TriadVisibility Returns or sets the visibility of the view triad in the view.
WcsVisibility Returns or sets the visibility of the WCS in the view.
HiqhQualityImage Returns the High Quality Image instance belonging to a view

Methods

Method Description
AskVisibleObjects Returns an array of objects visible in a view.
ChangePerspective Changes a view from an orthographic view to a perspective view, or from a perspective view to an orthographic view.
Concatenate Concatenates the given translation with the previous viewing transformation of the specified view.
CreateAttributeIterator Create an attribute iterator
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
Expand Expands the specified view to fill as much of the layout which contains the view as possible, without changing the aspect ratio of the view.
ExpandCollapseNode Expand or collapse the node for the specified Model View in the Part Navigator.
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
Fit Adjusts the bounds of a given view so that it fully encompasses the extents of the model geometry.
FitAfterShowOrHide Adjusts the bounds of a given view conditionally so that it fully encompasses the extents of the model geometry.
FitToObjects Adjusts the bounds of a given view so that it fully encompasses the extents of the given objects.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetAxis Returns one of the view axes.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetExpandedScale Returns the view scale, including any expansion factor.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasPreview Returns whether or not the given view has a preview.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
IsDynamicSectionVisible Returns if the specified dynamic section object is visible in this view.
MakeWork Makes the given view the work view.
Orient Changes the view orientation relative to the specified absolute coordinate system.
Print Prints a representation of this object to the system log file.
Regenerate Regenerates the display of given view.
Restore Restores a view to its last remembered rotation, scale and translation.
Rotate Rotates the view by concatenating the given matrix to the existing rotation matrix of the view.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetDynamicSectionVisible Sets the specified dynamic section object is visible/invisible in this view.
SetName Sets the custom name of the object.
SetOrigin Moves the given position to the center of the view.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetRotationTranslationScale Sets the rotation, translation and scale of the specified view.
SetScale Sets the scale of the specified view to the desired scale factor.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
SnapToClosestCannedOrientation Changes the orientation of the given view to the orientation of the canned view whose orientation is the closest to that of the given view.
SnapToVariantCannedOrientation Similar to NXOpen.View.SnapToClosestCannedOrientation() except it changes the orientation of the given view to the orientation of some canned view variant based on I-deas’s ‘snapview’ logic whose orientation is the closest to one of the six orthographic and eight flavors of trimetric views.
UpdateCustomSymbols Updates custom symbol in a drawing member view or drawing sheet
UpdateDisplay Updates the display of given view, as needed.
UseDefaultLights Changes the set of lights used in the given view to the Default set, which for now is the Scene Ambient, Scene Left Top and Scene Right Top lights.
UseSceneLights Changes the set of lights used in the given view to the Scene set, which for now includes the eight predefined scene lights (including the Scene Ambient light).
Zoom Scales the specified view to a desired relative scale.
ZoomAboutPoint Scales the specified view such that the given scale_about_point does not move.
ZoomByRectangle Scales the specified view such that the specified rectangle is as large as possible while being fully contained within the viewport.

Property Detail

ActiveDynamicSection

ModelingView.ActiveDynamicSection

Returns or sets the active dynamic section object in the modeling view.

Each modeling view can contain one and only one active dynamic section. Trying to reset the active dynamic section in the view by specifying None dynamic section will raise an error.

-------------------------------------

Getter Method

Signature ActiveDynamicSection

Returns:active dynamic section
Return type:NXOpen.Display.DynamicSection

New in version NX6.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ActiveDynamicSection

Parameters:dynamicSection (NXOpen.Display.DynamicSection) – Dynamic section object. Specify None to reset active dynamic section.

New in version NX6.0.0.

License requirements: None.

DisplaySectioningToggle

ModelingView.DisplaySectioningToggle

Returns or sets the toggle between enabling or disabling the Dynamic Sectioning viewing

-------------------------------------

Getter Method

Signature DisplaySectioningToggle

Returns:See if dyanamic Sectioning display is enabled
Return type:bool

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DisplaySectioningToggle

Parameters:newState (bool) – To enable or disable dyanamic Sectioning on display

New in version NX4.0.0.

License requirements: None.

IsMirrored

ModelingView.IsMirrored

Returns a flag indicating whether the model view is mirrored

-------------------------------------

Getter Method

Signature IsMirrored

Returns:Mirrored flag
Return type:bool

New in version NX8.5.0.

License requirements: None.

IsOccurrence

ModelingView.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

ModelingView.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

ModelingView.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

ModelingView.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

ModelingView.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

ModelingView.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

HiqhQualityImage

ModelingView.HiqhQualityImage

Returns the High Quality Image instance belonging to a view

Signature HiqhQualityImage

New in version NX3.0.0.

Returns:
Return type:NXOpen.ModelingViewHighQualityImage

Method Detail

ExpandCollapseNode

ModelingView.ExpandCollapseNode

Expand or collapse the node for the specified Model View in the Part Navigator.

Signature ExpandCollapseNode(expand)

Parameters:expand (bool) –

New in version NX9.0.3.

License requirements: None.

FindObject

ModelingView.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

IsDynamicSectionVisible

ModelingView.IsDynamicSectionVisible

Returns if the specified dynamic section object is visible in this view.

When dynamic section object is visible, the section curves are shown in the view.

Signature IsDynamicSectionVisible(dynamicSection)

Parameters:dynamicSection (NXOpen.Display.DynamicSection) – Dynamic section object
Returns:Visibility flag
Return type:bool

New in version NX6.0.0.

License requirements: None.

Print

ModelingView.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetDynamicSectionVisible

ModelingView.SetDynamicSectionVisible

Sets the specified dynamic section object is visible/invisible in this view.

When dynamic section object is visible, the section curves are shown in the view. Showing section objects in a view is a performance intensive operation. In involves cutting all visible bodies in the view with the section object definition.

Signature SetDynamicSectionVisible(dynamicSection, visible)

Parameters:

New in version NX6.0.0.

License requirements: None.

SetName

ModelingView.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

UseDefaultLights

ModelingView.UseDefaultLights

Changes the set of lights used in the given view to the “Default” set, which for now is the Scene Ambient, Scene Left Top and Scene Right Top lights.

If the definition of the “Default” set should ever change, the implementation of this method would change accordingly.

Signature UseDefaultLights()

New in version NX4.0.0.

License requirements: None.

UseSceneLights

ModelingView.UseSceneLights

Changes the set of lights used in the given view to the “Scene” set, which for now includes the eight predefined scene lights (including the Scene Ambient light).

If the definition of the “Scene” set should ever change, the implementation of this method would change accordingly.

Signature UseSceneLights()

New in version NX4.0.0.

License requirements: None.